> For the complete documentation index, see [llms.txt](https://docs.smartlink.so/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.smartlink.so/for-third-parties-eth/start-transaction-eth.md).

# Start Transaction (ETH)

## Start Transaction (Ether)

To start a transaction with a native token, there is no need to allow the Escrow contract to spend a certain amount. The user just has to send the total (price+fees) with the transaction.&#x20;

In this example we have an ad with the following information:

* Marketplace id : `marketplaceId1`
* Ad id : `adId2`
* Price of the ad (excluding fees) : 2 ETH
* Seller's address : `0x70997970C51812dc3A010C7d01b50e0d17dc79C8`

The fees for this token is 2%, the user must send the total amount (price+fees) which is : `2*1,02 = 2,04 ETH`

```javascript
//New transaction
await escrow.startTransaction(
    "marketplaceId1", //Marketplace id
    "adId2", //Ad id
    ethers.utils.parseEther("2"), //Ad price
    "0x0000000000000000000000000000000000000000", //ETH address
    "0x70997970C51812dc3A010C7d01b50e0d17dc79C8", //Seller's address
    {
      value: ethers.utils.parseEther("2.04"), //Price+fees in ETH
    }
);
```

{% hint style="danger" %}
Even if it's an ETH transaction you must specify a token address that matches the ETH address in the whitelist : `0x0000000000000000000000000000000000000000`Nothing is sent/received on this address, it's used internally for mapping purposes.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.smartlink.so/for-third-parties-eth/start-transaction-eth.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
